Stocktaking results
GET
/v1/stocktaking-summary-table
const url = 'https://api-admin.billz.ai/v1/stocktaking-summary-table?stocktaking_guid=eeeeaf2b-1360-4f03-aa74-87ad7cc2edd7¤cy=UZS&page=1&limit=10';const options = { method: 'GET', headers: { 'platform-id': '7d4a4c38-dd84-4902-b744-0488b80a4c01', Authorization: 'Bearer <token>' }};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://api-admin.billz.ai/v1/stocktaking-summary-table?stocktaking_guid=eeeeaf2b-1360-4f03-aa74-87ad7cc2edd7¤cy=UZS&page=1&limit=10' \ --header 'Authorization: Bearer <token>' \ --header 'platform-id: 7d4a4c38-dd84-4902-b744-0488b80a4c01'Required permissions: “Stocktaking results” report.
Error codes: 400 — input validation error; 404 — object not found; 401, 403, 429, 500 — shared by all methods. Body formats and semantics: Response codes and errors.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”stocktaking_guid
required
string format: uuid
UUID of the completed stocktaking
Example
eeeeaf2b-1360-4f03-aa74-87ad7cc2edd7currency
string
Currency of auto-import and auto-write-off amounts
Example
UZSpage
integer format: int32
Non-numeric → 400 ‘invalid page number’
Example
1limit
integer format: int32
By default 5. Non-numeric — 400
Example
10Header Parameters
Section titled “Header Parameters”platform-id
string
Platform identifier. A static value is used for integrations.
Responses
Section titled “Responses”Successful response
Media typeapplication/json
object
rows_count
integer format: int32
rows
Array<object>
object
stocktaking_id
string
stocktaking_external_id
integer
stocktaking_name
string
shop_id
string
shop_name
string
product_id
string
product_name
string
product_sku
string
product_barcode
string
additional_barcodes
string
product_brand
string
product_is_archived
boolean
product_attributes
Array<object>
object
product_custom_fields
Array<object>
object
custom_field_name
string
custom_field_id
string
custom_field_value
string
product_measurement_unit
string
product_categories
Array<object>
object
level_1
Array<string>
level_2
Array<string>
level_3
Array<string>
level_4
Array<string>
level_5
Array<string>
expected_measurement_value
number
scanned_measurement_value
number
sold_measurement_value
number
postponed_measurement_value
number
written_off_measurement_value
number
in_transfer_measurement_value
number
transferred_measurement_value
number
imported_after_stocktaking_finish
number
imported_supply_price_sum
number
imported_retail_price_sum
number
written_off_after_stocktaking
number
written_off_supply_price_sum
number
written_off_retail_price_sum
number
measurement_unit
object
id
string
name
string
company_id
string
short_name
string
precision
string
Examplegenerated
{ "rows_count": 1, "rows": [ { "stocktaking_id": "example", "stocktaking_external_id": 1, "stocktaking_name": "example", "shop_id": "example", "shop_name": "example", "product_id": "example", "product_name": "example", "product_sku": "example", "product_barcode": "example", "additional_barcodes": "example", "product_brand": "example", "product_is_archived": true, "product_attributes": [ {} ], "product_custom_fields": [ { "custom_field_name": "example", "custom_field_id": "example", "custom_field_value": "example" } ], "product_measurement_unit": "example", "product_categories": [ {} ], "level_1": [ "example" ], "level_2": [ "example" ], "level_3": [ "example" ], "level_4": [ "example" ], "level_5": [ "example" ], "expected_measurement_value": 1, "scanned_measurement_value": 1, "sold_measurement_value": 1, "postponed_measurement_value": 1, "written_off_measurement_value": 1, "in_transfer_measurement_value": 1, "transferred_measurement_value": 1, "imported_after_stocktaking_finish": 1, "imported_supply_price_sum": 1, "imported_retail_price_sum": 1, "written_off_after_stocktaking": 1, "written_off_supply_price_sum": 1, "written_off_retail_price_sum": 1, "measurement_unit": { "id": "example", "name": "example", "company_id": "example", "short_name": "example", "precision": "example" } } ]}